Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.grammars
Class GeneratedJavaRecognizer

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              com.puppycrawl.tools.checkstyle.grammars.GeneratedJavaRecognizer

All Implemented Interfaces:
  GeneratedJavaTokenTypes

    public class GeneratedJavaRecognizer

extends LLkParser
implements GeneratedJavaTokenTypes

Java 1.5 Recognizer This grammar is in the PUBLIC DOMAIN

Field Summary
`static String[]` | `_tokenNames`
`static BitSet` | `_tokenSet_0`
`static BitSet` | `_tokenSet_1`
`static BitSet` | `_tokenSet_10`
`static BitSet` | `_tokenSet_11`
`static BitSet` | `_tokenSet_12`
`static BitSet` | `_tokenSet_13`
`static BitSet` | `_tokenSet_14`
`static BitSet` | `_tokenSet_15`
`static BitSet` | `_tokenSet_16`
`static BitSet` | `_tokenSet_17`
`static BitSet` | `_tokenSet_18`
`static BitSet` | `_tokenSet_19`
`static BitSet` | `_tokenSet_2`
`static BitSet` | `_tokenSet_20`
`static BitSet` | `_tokenSet_21`
`static BitSet` | `_tokenSet_22`
`static BitSet` | `_tokenSet_23`
`static BitSet` | `_tokenSet_24`
`static BitSet` | `_tokenSet_25`
`static BitSet` | `_tokenSet_26`
`static BitSet` | `_tokenSet_27`
`static BitSet` | `_tokenSet_28`
`static BitSet` | `_tokenSet_29`
`static BitSet` | `_tokenSet_3`
`static BitSet` | `_tokenSet_30`
`static BitSet` | `_tokenSet_31`
`static BitSet` | `_tokenSet_32`
`static BitSet` | `_tokenSet_33`
`static BitSet` | `_tokenSet_34`
`static BitSet` | `_tokenSet_35`
`static BitSet` | `_tokenSet_36`
`static BitSet` | `_tokenSet_37`
`static BitSet` | `_tokenSet_38`
`static BitSet` | `_tokenSet_39`
`static BitSet` | `_tokenSet_4`
`static BitSet` | `_tokenSet_40`
`static BitSet` | `_tokenSet_41`
`static BitSet` | `_tokenSet_42`
`static BitSet` | `_tokenSet_43`
`static BitSet` | `_tokenSet_44`
`static BitSet` | `_tokenSet_45`
`static BitSet` | `_tokenSet_5`
`static BitSet` | `_tokenSet_6`
`static BitSet` | `_tokenSet_7`
`static BitSet` | `_tokenSet_8`
`static BitSet` | `_tokenSet_9`

Fields inherited from class antlr.Parser
`astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

Fields inherited from interface com.puppycrawl.tools.checkstyle.grammars.GeneratedJavaTokenTypes
`ABSTRACT, ANNOTATION, ANNOTATION_ARRAY_INIT, ANNOTATION_DEF, ANNOTATION_FIELD_DEF, ANNOTATION_MEMBER_VALUE_PAIR, ANNOTATIONS, ARRAY_DECLARATOR, ARRAY_INIT, ASSERT, ASSIGN, AT, BAND, BAND_ASSIGN, BINARY_EXPONENT, BLOCK, BNOT, BOR, BOR_ASSIGN, BSR, BSR_ASSIGN, BXOR, BXOR_ASSIGN, CASE_GROUP, CHAR_LITERAL, CLASS_DEF, COLON, COMMA, CTOR_CALL, CTOR_DEF, DEC, DIV, DIV_ASSIGN, DO_WHILE, DOT, DOUBLE_LITERAL, ELIST, ELLIPSIS, EMPTY_STAT, ENUM, ENUM_CONSTANT_DEF, ENUM_DEF, EOF, EQUAL, ESC, EXPONENT, EXPR, EXTENDS_CLAUSE, FINAL, FLOAT_LITERAL, FLOAT_SUFFIX, FOR_CONDITION, FOR_EACH_CLAUSE, FOR_INIT, FOR_ITERATOR, GE, GENERIC_END, GENERIC_START, GT, HEX_DIGIT, HEX_DOUBLE_LITERAL, HEX_FLOAT_LITERAL, ID_PART, ID_START, IDENT, IMPLEMENTS_CLAUSE, IMPORT, INC, INDEX_OP, INSTANCE_INIT, INT_LITERAL, INTERFACE_DEF, LABELED_STAT, LAND, LBRACK, LCURLY, LE, LITERAL_boolean, LITERAL_break, LITERAL_byte, LITERAL_case, LITERAL_catch, LITERAL_char, LITERAL_class, LITERAL_continue, LITERAL_default, LITERAL_do, LITERAL_double, LITERAL_else, LITERAL_extends, LITERAL_false, LITERAL_finally, LITERAL_float, LITERAL_for, LITERAL_if, LITERAL_implements, LITERAL_import, LITERAL_instanceof, LITERAL_int, LITERAL_interface, LITERAL_long, LITERAL_native, LITERAL_new, LITERAL_null, LITERAL_package, LITERAL_private, LITERAL_protected, LITERAL_public, LITERAL_return, LITERAL_short, LITERAL_static, LITERAL_super, LITERAL_switch, LITERAL_synchronized, LITERAL_this, LITERAL_throw, LITERAL_throws, LITERAL_transient, LITERAL_true, LITERAL_try, LITERAL_void, LITERAL_volatile, LITERAL_while, LNOT, LONG_LITERAL, LOR, LPAREN, LT, METHOD_CALL, METHOD_DEF, MINUS, MINUS_ASSIGN, ML_COMMENT, MOD, MOD_ASSIGN, MODIFIERS, NOT_EQUAL, NULL_TREE_LOOKAHEAD, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJBLOCK, PACKAGE_DEF, PARAMETER_DEF, PARAMETERS, PLUS, PLUS_ASSIGN, POST_DEC, POST_INC, QUESTION, RBRACK, RCURLY, RPAREN, SEMI, SIGNED_INTEGER, SL, SL_ASSIGN, SL_COMMENT, SLIST, SR, SR_ASSIGN, STAR, STAR_ASSIGN, STATIC_IMPORT, STATIC_INIT, STRICTFP, STRING_LITERAL, SUPER_CTOR_CALL, TYPE, TYPE_ARGUMENT, TYPE_ARGUMENTS, TYPE_EXTENSION_AND, TYPE_LOWER_BOUNDS, TYPE_PARAMETER, TYPE_PARAMETERS, TYPE_UPPER_BOUNDS, TYPECAST, UNARY_MINUS, UNARY_PLUS, VARIABLE_DEF, VOCAB, WILDCARD_TYPE, WS`

Constructor Summary
`` | `GeneratedJavaRecognizer(ParserSharedInputState state)`
`` | `GeneratedJavaRecognizer(TokenBuffer tokenBuf)`
`protected` | `GeneratedJavaRecognizer(TokenBuffer tokenBuf, int k)`
`` | `GeneratedJavaRecognizer(TokenStream lexer)`
`protected` | `GeneratedJavaRecognizer(TokenStream lexer, int k)`

Method Summary
`void` | `aCase()`
`void` | `additiveExpression()`
`void` | `andExpression()`
`void` | `annotation()`
`void` | `annotationArguments()`
`void` | `annotationBlock()`
`void` | `annotationDefault()`
`void` | `annotationDefinition(AST modifiers)`
`void` | `annotationExpression()`
`void` | `annotationField()`
`void` | `annotationMemberArrayInitializer()`
`void` | `annotationMemberArrayValueInitializer()`
`void` | `annotationMemberValueInitializer()`
`void` | `annotationMemberValuePair()`
`void` | `annotationMemberValuePairs()`
`void` | `annotations()`
`void` | `argList()`
`void` | `arrayInitializer()`
`void` | `assertStatement()`
`void` | `assignmentExpression()`
`protected void` | `buildTokenTypeASTClassMap()`
`void` | `builtInType()`
`void` | `builtInTypeArraySpec(boolean addImagNode)`
`void` | `builtInTypeSpec(boolean addImagNode)`
`void` | `casesGroup()`
`void` | `caseSList()`
`void` | `classBlock()`
`void` | `classDefinition(AST modifiers)`
`void` | `classOrInterfaceType(boolean addImagNode)`
`void` | `classTypeSpec(boolean addImagNode)`
`void` | `compilationUnit()`
`void` | `compoundStatement()`
`void` | `conditionalExpression()`
`void` | `constant()`
`void` | `constructorBody()`
`void` | `ctorHead()`
`void` | `declaration()` A declaration is the creation of a reference or primitive-type variable Create a separate Type/Var tree for each var in the var list.
`void` | `declaratorBrackets(AST typ)`
`void` | `elseStatement()`
`void` | `enumBlock()`
`void` | `enumConstant()`
`void` | `enumConstantBlock()`
`void` | `enumConstantField()`
`void` | `enumDefinition(AST modifiers)`
`void` | `equalityExpression()`
`void` | `exclusiveOrExpression()`
`void` | `explicitConstructorInvocation()`
`void` | `expression()`
`void` | `expressionList()`
`void` | `field()`
`void` | `finallyHandler()`
`void` | `forCond()`
`void` | `forEachClause()`
`void` | `forEachDeclarator()`
`void` | `forInit()`
`void` | `forIter()`
`void` | `forStatement()`
`void` | `handler()`
`void` | `identifier()`
`void` | `identifierStar()`
`void` | `implementsClause()`
`void` | `importDefinition()`
`void` | `inclusiveOrExpression()`
`void` | `initializer()`
`void` | `interfaceDefinition(AST modifiers)`
`void` | `interfaceExtends()`
`void` | `logicalAndExpression()`
`void` | `logicalOrExpression()`
`void` | `modifier()`
`void` | `modifiers()`
`void` | `multiplicativeExpression()`
`void` | `newArrayDeclarator()`
`void` | `newExpression()` object instantiation.
`void` | `packageDefinition()`
`void` | `parameterDeclaration()`
`void` | `parameterDeclarationList()`
`void` | `parameterModifier()`
`void` | `postfixExpression()`
`void` | `primaryExpression()`
`void` | `relationalExpression()`
`void` | `shiftExpression()`
`void` | `statement()`
`void` | `superClassClause()`
`void` | `throwsClause()`
`void` | `traditionalForClause()`
`void` | `traditionalStatement()`
`void` | `tryBlock()`
`void` | `type()`
`void` | `typeArgument(boolean addImagNode)`
`void` | `typeArgumentBounds(boolean addImagNode)`
`void` | `typeArguments(boolean addImagNode)`
`protected void` | `typeArgumentsOrParametersEnd()`
`void` | `typeDefinition()`
`protected void` | `typeDefinitionInternal(AST modifiers)`
`void` | `typeParameter()`
`void` | `typeParameterBounds()`
`void` | `typeParameters()`
`void` | `typeSpec(boolean addImagNode)`
`void` | `unaryExpression()`
`void` | `unaryExpressionNotPlusMinus()`
`void` | `variableDeclarator(AST mods, AST t)` Declaration of a variable.
`void` | `variableDefinitions(AST mods, AST t)`
`void` | `variableLengthParameterDeclaration()`
`void` | `varInitializer()`
`void` | `wildcardType(boolean addImagNode)`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser
`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, recover, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenNames

    public static final String[] _tokenNames

### _tokenSet_0

    public static final BitSet _tokenSet_0

### _tokenSet_1

    public static final BitSet _tokenSet_1

### _tokenSet_2

    public static final BitSet _tokenSet_2

### _tokenSet_3

    public static final BitSet _tokenSet_3

### _tokenSet_4

    public static final BitSet _tokenSet_4

### _tokenSet_5

    public static final BitSet _tokenSet_5

### _tokenSet_6

    public static final BitSet _tokenSet_6

### _tokenSet_7

    public static final BitSet _tokenSet_7

### _tokenSet_8

    public static final BitSet _tokenSet_8

### _tokenSet_9

    public static final BitSet _tokenSet_9

### _tokenSet_10

    public static final BitSet _tokenSet_10

### _tokenSet_11

    public static final BitSet _tokenSet_11

### _tokenSet_12

    public static final BitSet _tokenSet_12

### _tokenSet_13

    public static final BitSet _tokenSet_13

### _tokenSet_14

    public static final BitSet _tokenSet_14

### _tokenSet_15

    public static final BitSet _tokenSet_15

### _tokenSet_16

    public static final BitSet _tokenSet_16

### _tokenSet_17

    public static final BitSet _tokenSet_17

### _tokenSet_18

    public static final BitSet _tokenSet_18

### _tokenSet_19

    public static final BitSet _tokenSet_19

### _tokenSet_20

    public static final BitSet _tokenSet_20

### _tokenSet_21

    public static final BitSet _tokenSet_21

### _tokenSet_22

    public static final BitSet _tokenSet_22

### _tokenSet_23

    public static final BitSet _tokenSet_23

### _tokenSet_24

    public static final BitSet _tokenSet_24

### _tokenSet_25

    public static final BitSet _tokenSet_25

### _tokenSet_26

    public static final BitSet _tokenSet_26

### _tokenSet_27

    public static final BitSet _tokenSet_27

### _tokenSet_28

    public static final BitSet _tokenSet_28

### _tokenSet_29

    public static final BitSet _tokenSet_29

### _tokenSet_30

    public static final BitSet _tokenSet_30

### _tokenSet_31

    public static final BitSet _tokenSet_31

### _tokenSet_32

    public static final BitSet _tokenSet_32

### _tokenSet_33

    public static final BitSet _tokenSet_33

### _tokenSet_34

    public static final BitSet _tokenSet_34

### _tokenSet_35

    public static final BitSet _tokenSet_35

### _tokenSet_36

    public static final BitSet _tokenSet_36

### _tokenSet_37

    public static final BitSet _tokenSet_37

### _tokenSet_38

    public static final BitSet _tokenSet_38

### _tokenSet_39

    public static final BitSet _tokenSet_39

### _tokenSet_40

    public static final BitSet _tokenSet_40

### _tokenSet_41

    public static final BitSet _tokenSet_41

### _tokenSet_42

    public static final BitSet _tokenSet_42

### _tokenSet_43

    public static final BitSet _tokenSet_43

### _tokenSet_44

    public static final BitSet _tokenSet_44

### _tokenSet_45

    public static final BitSet _tokenSet_45

Constructor Detail

### GeneratedJavaRecognizer

    protected GeneratedJavaRecognizer(TokenBuffer tokenBuf,
                                      int k)

### GeneratedJavaRecognizer

    public GeneratedJavaRecognizer(TokenBuffer tokenBuf)

### GeneratedJavaRecognizer

    protected GeneratedJavaRecognizer(TokenStream lexer,
                                      int k)

### GeneratedJavaRecognizer

    public GeneratedJavaRecognizer(TokenStream lexer)

### GeneratedJavaRecognizer

    public GeneratedJavaRecognizer(ParserSharedInputState state)

Method Detail

### compilationUnit

    public final void compilationUnit()
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotations

    public final void annotations()
                           throws RecognitionException,
                                  TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### packageDefinition

    public final void packageDefinition()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### importDefinition

    public final void importDefinition()
                                throws RecognitionException,
                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeDefinition

    public final void typeDefinition()
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### identifier

    public final void identifier()
                          throws RecognitionException,
                                 TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### identifierStar

    public final void identifierStar()
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### modifiers

    public final void modifiers()
                         throws RecognitionException,
                                TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeDefinitionInternal

    protected final void typeDefinitionInternal(AST modifiers)
                                         throws RecognitionException,
                                                TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### classDefinition

    public final void classDefinition(AST modifiers)
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### interfaceDefinition

    public final void interfaceDefinition(AST modifiers)
                                   throws RecognitionException,
                                          TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### enumDefinition

    public final void enumDefinition(AST modifiers)
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationDefinition

    public final void annotationDefinition(AST modifiers)
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeSpec

    public final void typeSpec(boolean addImagNode)
                        throws RecognitionException,
                               TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### classTypeSpec

    public final void classTypeSpec(boolean addImagNode)
                             throws RecognitionException,
                                    TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### builtInTypeSpec

    public final void builtInTypeSpec(boolean addImagNode)
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### classOrInterfaceType

    public final void classOrInterfaceType(boolean addImagNode)
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeArguments

    public final void typeArguments(boolean addImagNode)
                             throws RecognitionException,
                                    TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeArgument

    public final void typeArgument(boolean addImagNode)
                            throws RecognitionException,
                                   TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### builtInTypeArraySpec

    public final void builtInTypeArraySpec(boolean addImagNode)
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### wildcardType

    public final void wildcardType(boolean addImagNode)
                            throws RecognitionException,
                                   TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeArgumentBounds

    public final void typeArgumentBounds(boolean addImagNode)
                                  throws RecognitionException,
                                         TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeArgumentsOrParametersEnd

    protected final void typeArgumentsOrParametersEnd()
                                               throws RecognitionException,
                                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### builtInType

    public final void builtInType()
                           throws RecognitionException,
                                  TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### type

    public final void type()
                    throws RecognitionException,
                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### declaration

    public final void declaration()
                           throws RecognitionException,
                                  TokenStreamException

  A declaration is the creation of a reference or primitive-type variable Create a separate Type/Var tree for each var in the var list.

  Throws:
    `RecognitionException`
    `TokenStreamException`

### variableDefinitions

    public final void variableDefinitions(AST mods,
                                          AST t)
                                   throws RecognitionException,
                                          TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### modifier

    public final void modifier()
                        throws RecognitionException,
                               TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotation

    public final void annotation()
                          throws RecognitionException,
                                 TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationArguments

    public final void annotationArguments()
                                   throws RecognitionException,
                                          TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationMemberValueInitializer

    public final void annotationMemberValueInitializer()
                                                throws RecognitionException,
                                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationMemberValuePairs

    public final void annotationMemberValuePairs()
                                          throws RecognitionException,
                                                 TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationMemberValuePair

    public final void annotationMemberValuePair()
                                         throws RecognitionException,
                                                TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationExpression

    public final void annotationExpression()
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationMemberArrayInitializer

    public final void annotationMemberArrayInitializer()
                                                throws RecognitionException,
                                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationMemberArrayValueInitializer

    public final void annotationMemberArrayValueInitializer()
                                                     throws RecognitionException,
                                                            TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### conditionalExpression

    public final void conditionalExpression()
                                     throws RecognitionException,
                                            TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeParameters

    public final void typeParameters()
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### superClassClause

    public final void superClassClause()
                                throws RecognitionException,
                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### implementsClause

    public final void implementsClause()
                                throws RecognitionException,
                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### classBlock

    public final void classBlock()
                          throws RecognitionException,
                                 TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### interfaceExtends

    public final void interfaceExtends()
                                throws RecognitionException,
                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### enumBlock

    public final void enumBlock()
                         throws RecognitionException,
                                TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationBlock

    public final void annotationBlock()
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeParameter

    public final void typeParameter()
                             throws RecognitionException,
                                    TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### typeParameterBounds

    public final void typeParameterBounds()
                                   throws RecognitionException,
                                          TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationField

    public final void annotationField()
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### declaratorBrackets

    public final void declaratorBrackets(AST typ)
                                  throws RecognitionException,
                                         TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### annotationDefault

    public final void annotationDefault()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### enumConstant

    public final void enumConstant()
                            throws RecognitionException,
                                   TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### field

    public final void field()
                     throws RecognitionException,
                            TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### argList

    public final void argList()
                       throws RecognitionException,
                              TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### enumConstantBlock

    public final void enumConstantBlock()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### enumConstantField

    public final void enumConstantField()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### parameterDeclarationList

    public final void parameterDeclarationList()
                                        throws RecognitionException,
                                               TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### throwsClause

    public final void throwsClause()
                            throws RecognitionException,
                                   TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### compoundStatement

    public final void compoundStatement()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### ctorHead

    public final void ctorHead()
                        throws RecognitionException,
                               TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### constructorBody

    public final void constructorBody()
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### explicitConstructorInvocation

    public final void explicitConstructorInvocation()
                                             throws RecognitionException,
                                                    TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### statement

    public final void statement()
                         throws RecognitionException,
                                TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### primaryExpression

    public final void primaryExpression()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### variableDeclarator

    public final void variableDeclarator(AST mods,
                                         AST t)
                                  throws RecognitionException,
                                         TokenStreamException

  Declaration of a variable. This can be a class/instance variable, or a local variable in a method It can also include possible initialization.

  Throws:
    `RecognitionException`
    `TokenStreamException`

### varInitializer

    public final void varInitializer()
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### initializer

    public final void initializer()
                           throws RecognitionException,
                                  TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### arrayInitializer

    public final void arrayInitializer()
                                throws RecognitionException,
                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### expression

    public final void expression()
                          throws RecognitionException,
                                 TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### parameterDeclaration

    public final void parameterDeclaration()
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### variableLengthParameterDeclaration

    public final void variableLengthParameterDeclaration()
                                                  throws RecognitionException,
                                                         TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### parameterModifier

    public final void parameterModifier()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### traditionalStatement

    public final void traditionalStatement()
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### assertStatement

    public final void assertStatement()
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### elseStatement

    public final void elseStatement()
                             throws RecognitionException,
                                    TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### forStatement

    public final void forStatement()
                            throws RecognitionException,
                                   TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### casesGroup

    public final void casesGroup()
                          throws RecognitionException,
                                 TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### tryBlock

    public final void tryBlock()
                        throws RecognitionException,
                               TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### forInit

    public final void forInit()
                       throws RecognitionException,
                              TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### traditionalForClause

    public final void traditionalForClause()
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### forEachClause

    public final void forEachClause()
                             throws RecognitionException,
                                    TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### forCond

    public final void forCond()
                       throws RecognitionException,
                              TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### forIter

    public final void forIter()
                       throws RecognitionException,
                              TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### forEachDeclarator

    public final void forEachDeclarator()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### aCase

    public final void aCase()
                     throws RecognitionException,
                            TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### caseSList

    public final void caseSList()
                         throws RecognitionException,
                                TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### expressionList

    public final void expressionList()
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### handler

    public final void handler()
                       throws RecognitionException,
                              TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### finallyHandler

    public final void finallyHandler()
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### assignmentExpression

    public final void assignmentExpression()
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### logicalOrExpression

    public final void logicalOrExpression()
                                   throws RecognitionException,
                                          TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### logicalAndExpression

    public final void logicalAndExpression()
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### inclusiveOrExpression

    public final void inclusiveOrExpression()
                                     throws RecognitionException,
                                            TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### exclusiveOrExpression

    public final void exclusiveOrExpression()
                                     throws RecognitionException,
                                            TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### andExpression

    public final void andExpression()
                             throws RecognitionException,
                                    TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### equalityExpression

    public final void equalityExpression()
                                  throws RecognitionException,
                                         TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### relationalExpression

    public final void relationalExpression()
                                    throws RecognitionException,
                                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### shiftExpression

    public final void shiftExpression()
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### additiveExpression

    public final void additiveExpression()
                                  throws RecognitionException,
                                         TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### multiplicativeExpression

    public final void multiplicativeExpression()
                                        throws RecognitionException,
                                               TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### unaryExpression

    public final void unaryExpression()
                               throws RecognitionException,
                                      TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### unaryExpressionNotPlusMinus

    public final void unaryExpressionNotPlusMinus()
                                           throws RecognitionException,
                                                  TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### postfixExpression

    public final void postfixExpression()
                                 throws RecognitionException,
                                        TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### newExpression

    public final void newExpression()
                             throws RecognitionException,
                                    TokenStreamException

  object instantiation. Trees are built as illustrated by the following input/tree pairs: new T() new | T -- ELIST | arg1 -- arg2 -- .. -- argn new int[] new | int -- ARRAY_DECLARATOR new int[] {1,2} new | int -- ARRAY_DECLARATOR -- ARRAY_INIT | EXPR -- EXPR | | 1 2 new int[3] new | int -- ARRAY_DECLARATOR | EXPR | 3 new int[1][2] new | int -- ARRAY_DECLARATOR | ARRAY_DECLARATOR -- EXPR | | EXPR 1 | 2

  Throws:
    `RecognitionException`
    `TokenStreamException`

### constant

    public final void constant()
                        throws RecognitionException,
                               TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### newArrayDeclarator

    public final void newArrayDeclarator()
                                  throws RecognitionException,
                                         TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### buildTokenTypeASTClassMap

    protected void buildTokenTypeASTClassMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD